Subject: 25.1; ses.el string cell recalculate message

From: Kevin Ryde <[email-masked]>
Date: Sun, 19 Mar 2017 16:02:01 +1100

In debian packaged emacs 25.1.1, starting "emacs -Q /tmp/foo.ses"

   " Ret            # create a cell with a string
   hello Ret        # the string content
   C-p              # move point to that cell
   c                # ses-recalculate-cell
   =>
   Format specifier doesn't match argument type: A1

I expected recalc on a string cell to leave it unchanged.
The message looks like a caught error, but I don't know if it's
something bad or merely unsightly.  The same happens in emacs 24.

Occasionally I've had c on a string cell clear it to nil.  I'll see if I
can make something reproducable for that, if it could be related.